## de.memowe.sbc.kernel
Class Tokens

    java.lang.Object
      de.memowe.sbc.kernel.Tokens

    public class Tokens

extends java.lang.Object

Regex tokens for SBC.

Field Summary
`static java.util.regex.Pattern` `EMPHASIS`
`static java.util.regex.Pattern` `HYPERLINK_END`
`static java.util.regex.Pattern` `HYPERLINK_START`
`static java.util.regex.Pattern` `IMAGE_END`
`static java.util.regex.Pattern` `IMAGE_START`
`static java.util.regex.Pattern` `LINEBREAK`
`static java.util.regex.Pattern` `OL_BULLET`
`static java.util.regex.Pattern` `PLAIN`
`static java.util.regex.Pattern` `QUOTE_END`
`static java.util.regex.Pattern` `QUOTE_END_CITE`
`static java.util.regex.Pattern` `QUOTE_START`
`static java.util.regex.Pattern` `STRONG`
`static java.util.regex.Pattern` `UL_BULLET`

Constructor Summary
`Tokens()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPHASIS

    public static final java.util.regex.Pattern EMPHASIS

### STRONG

    public static final java.util.regex.Pattern STRONG

### HYPERLINK_START

    public static final java.util.regex.Pattern HYPERLINK_START

### HYPERLINK_END

    public static final java.util.regex.Pattern HYPERLINK_END

### IMAGE_START

    public static final java.util.regex.Pattern IMAGE_START

### IMAGE_END

    public static final java.util.regex.Pattern IMAGE_END

### QUOTE_START

    public static final java.util.regex.Pattern QUOTE_START

### QUOTE_END

    public static final java.util.regex.Pattern QUOTE_END

### QUOTE_END_CITE

    public static final java.util.regex.Pattern QUOTE_END_CITE

### UL_BULLET

    public static final java.util.regex.Pattern UL_BULLET

### OL_BULLET

    public static final java.util.regex.Pattern OL_BULLET

### LINEBREAK

    public static final java.util.regex.Pattern LINEBREAK

### PLAIN

    public static final java.util.regex.Pattern PLAIN

Constructor Detail

### Tokens

    public Tokens()